;===========================================================================
; Tile Data
;===========================================================================

;---------------------------------------------------------------------------
; Tile Array
;---------------------------------------------------------------------------

; format:
; one word for the address of the tile
; one byte for the boundaries of the tile (%0000 + up + down + left + right)

tiles:
	; these are regular tiles
	; which can be used in any map

	; tile 0
	.word	gfx.tile.0
	.byte	%00001111

	; tile 1
	.word	gfx.tile.1
	.byte	%00000111

	; tile 2
	.word	gfx.tile.2
	.byte	%00000101

	; tile 3
	.word	gfx.tile.3
	.byte	%00001111

	; tile 4
	.word	gfx.tile.4
	.byte	%00001101

	; these are the ghost area: blank, and you can only move left or right

	; tile 5
	.word	gfx.tile.2
	.byte	%00000001

	; tile 6
	.word	gfx.tile.1
	.byte	%00000010

;---------------------------------------------------------------------------
; Tile Graphics
;---------------------------------------------------------------------------

gfx.tile.0:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.1:
	.byte	%11111100
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.2:
	.byte	%11111110
	.byte	%00001000
	.byte	%00100000
	.byte	%10000010
	.byte	%00000000

gfx.tile.3:
	.byte	%10000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.4:
	.byte	%10000010
	.byte	%00001000
	.byte	%00100000
	.byte	%10000010
	.byte	%00000000

;===========================================================================
; Sprite Data
;===========================================================================

;---------------------------------------------------------------------------
; Sprite Array
;---------------------------------------------------------------------------

sprites:
	.word	gfx.clearSprite					; sprite 0

	.word	gfx.pacman.up.0					; sprite 1
	.word	gfx.pacman.up.1					; sprite 2
	.word	gfx.pacman.up.2					; sprite 3
	.word	gfx.pacman.up.3					; sprite 4

	.word	gfx.pacman.down.0				; sprite 5
	.word	gfx.pacman.down.1				; sprite 6
	.word	gfx.pacman.down.2				; sprite 7
	.word	gfx.pacman.down.3				; sprite 8

	.word	gfx.pacman.left.0				; sprite 9
	.word	gfx.pacman.left.1				; sprite 10
	.word	gfx.pacman.left.2				; sprite 11
	.word	gfx.pacman.left.3				; sprite 12

	.word	gfx.pacman.right.0				; sprite 13
	.word	gfx.pacman.right.1				; sprite 14
	.word	gfx.pacman.right.2				; sprite 15
	.word	gfx.pacman.right.3				; sprite 16
	
	.word	gfx.ghost.sprite.0				; sprite 17
	.word	gfx.ghost.sprite.1				; sprite 18
	
	.word	gfx.ghostGate					; sprite 19

	.word	gfx.pacman.death.0				; sprite 20
	.word	gfx.pacman.death.1				; sprite 21
	.word	gfx.pacman.death.2				; sprite 22

	.word	gfx.powerPellet					; sprite 23

;---------------------------------------------------------------------------
; Clear Sprite
;---------------------------------------------------------------------------

gfx.clearSprite:
	; 5x5 block to clear
	; a drawn sprite
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000

;---------------------------------------------------------------------------
; Pac-Man Sprites
;---------------------------------------------------------------------------

gfx.pacman:
	; pacman sprites

gfx.pacman.up.0:
	.byte	%00000000
	.byte	%10001000
	.byte	%11011000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.1:
	.byte	%00000000
	.byte	%11011000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.3:
	.byte	%00000000
	.byte	%11011000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000

gfx.pacman.down.0:
	.byte	%01110000
	.byte	%11111000
	.byte	%11011000
	.byte	%10001000
	.byte	%00000000
gfx.pacman.down.1:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11011000
	.byte	%00000000
gfx.pacman.down.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.down.3:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11011000
	.byte	%00000000

gfx.pacman.left.0:
	.byte	%01110000
	.byte	%00111000
	.byte	%00011000
	.byte	%00111000
	.byte	%01110000
gfx.pacman.left.1:
	.byte	%01110000
	.byte	%01111000
	.byte	%00111000
	.byte	%01111000
	.byte	%01110000
gfx.pacman.left.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.left.3:
	.byte	%01110000
	.byte	%01111000
	.byte	%00111000
	.byte	%01111000
	.byte	%01110000

gfx.pacman.right.0:
	.byte	%01110000
	.byte	%11100000
	.byte	%11000000
	.byte	%11100000
	.byte	%01110000
gfx.pacman.right.1:
	.byte	%01110000
	.byte	%11110000
	.byte	%11100000
	.byte	%11110000
	.byte	%01110000
gfx.pacman.right.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.right.3:
	.byte	%01110000
	.byte	%11110000
	.byte	%11100000
	.byte	%11110000
	.byte	%01110000

;---------------------------------------------------------------------------
; Pacman Death
;---------------------------------------------------------------------------	

gfx.pacman.death.0:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%11111000
	.byte	%01110000

gfx.pacman.death.1:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00100000
	.byte	%01110000

gfx.pacman.death.2:
	.byte	%10001000
	.byte	%00000000
	.byte	%00000000
	.byte	%10001000
	.byte	%00000000
	
;---------------------------------------------------------------------------
; Ghost Sprites
;---------------------------------------------------------------------------

gfx.ghost.sprite.0:
	.byte	%01110000
	.byte	%10101000
	.byte	%11111000
	.byte	%11111000
	.byte	%10101000

gfx.ghost.sprite.1:
	.byte	%01110000
	.byte	%10101000
	.byte	%11111000
	.byte	%11111000
	.byte	%01010000

;---------------------------------------------------------------------------
; ghost gate sprite
;---------------------------------------------------------------------------

gfx.ghostGate:
	.byte	%11111000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

;---------------------------------------------------------------------------
; power pellet
;---------------------------------------------------------------------------

gfx.powerPellet:
	.byte	%11100000
	.byte	%11100000
	.byte	%11100000
	.byte	%00000000
	.byte	%00000000

;===========================================================================
; Graphics Data
;===========================================================================

;---------------------------------------------------------------------------
; Ghost Colors
;---------------------------------------------------------------------------

gfx.ghost.colors:
	.byte	GHOST_1_COLOR, GHOST_2_COLOR, GHOST_3_COLOR, GHOST_4_COLOR

;---------------------------------------------------------------------------
; "READY!" Lettering
;---------------------------------------------------------------------------

gfx.ready.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	29			; x position
	.byte	29			; y position
	.byte	23			; width
	.byte	5			; height
	.word	gfx.ready.data		; address for the graphics

gfx.ready.data:
	.byte	%11001110, %01001100, %10100111, %01010001, %01010101
	.byte %01001111, %00110011, %10101001, %00010101, %01000101 
	.byte %01010010, %00001010, %11101010, %11000100, %10000000

;---------------------------------------------------------------------------
; "PLAYER 1" Lettering
;---------------------------------------------------------------------------

gfx.player1.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	27			; x position
	.byte	17			; y position
	.byte	29			; width
	.byte	5			; height
	.word	gfx.player1.data		; address for the graphics

gfx.player1.data:
	.byte %11001000, %01001010, %11101100
	.byte %00010101, %01000101, %01010100
	.byte %01010001, %10110010, %00111001
	.byte %00110011, %00000101, %00010001
	.byte %01001001, %00010100, %00101000
	.byte %11101010, %01001110, %10100011
	.byte %10000000


;---------------------------------------------------------------------------
; "Score" Lettering
;---------------------------------------------------------------------------

gfx.score.parameters:
	.byte	clear			; color 1
	.byte	bkg			; color 2
	.byte	78			; x position
	.byte	1			; y position
	.byte	19			; width
	.byte	4			; height
	.word	gfx.score.data		; address for the graphics

gfx.score.data:
	.byte	%01100110, %01001100, %11111001, %00010101
	.byte	%01010001, %10100010, %10110011, %01100011
	.byte	%00100101, %01110000

;---------------------------------------------------------------------------
; "High" Lettering
;---------------------------------------------------------------------------

gfx.high.parameters:
	.byte	clear			; color 1
	.byte	bkg			; color 2
	.byte	78			; x position
	.byte	19			; y position
	.byte	16			; width
	.byte	4			; height
	.word	gfx.high.data		; address for the graphics

gfx.high.data:
	.byte	%10101110, %01101010
	.byte	%10100100, %10001010
	.byte	%11100100, %10101110
	.byte	%10101110, %01101010

;---------------------------------------------------------------------------
; Score numbers
;---------------------------------------------------------------------------

gfx.numbers:
	.byte	%11110110, %11011110				; 0
	.byte	%01011001, %00101110				; 1
	.byte	%11100111, %11001110				; 2
	.byte	%11100111, %10011110				; 3
	.byte	%10110111, %10010010				; 4
	.byte	%11110011, %10011110				; 5
	.byte	%11110011, %11011110				; 6
	.byte	%11100100, %10010010				; 7
	.byte	%11110111, %11011110				; 8
	.byte	%11110111, %10011110				; 9